import { Input, Component } from '@angular/core';
var SimpleLoggerComponent = /** @class */ (function () {
    function SimpleLoggerComponent() {
        this.title = 'app';
        this.var1 = true;
        this._object = Object;
    }
    SimpleLoggerComponent.prototype.getColor = function (objKey, objValue) {
        for (var i in this.options.myoptions) {
            var key = this.options.myoptions[i].key;
            var value = this.options.myoptions[i].value;
            var exp = this.options.myoptions[i].exp;
            if (objKey == key && this.compare(objValue, exp, value)) {
                return true;
            }
            else if (objKey == key) {
                return false;
            }
        }
    };
    SimpleLoggerComponent.prototype.compare = function (post, operator, value) {
        switch (operator) {
            case '>': return post > value[0];
            case '<': return post < value[0];
            case '>=': return post >= value[0];
            case '<=': return post <= value[0];
            case '==': return post == value[0];
            case '!=': return post != value[0];
            case '===': return post === value[0];
            case '!==': return post !== value[0];
            case '[]': return post >= value[0] && post <= value[1];
            case '||': return value.indexOf(post) > -1;
        }
    };
    SimpleLoggerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'icf-table',
                    template: "\n  <div class=\"card-padding\">\n  <div class=\"card\">\n  <div class=\"card-header\"><span>{{options.mytitle}}</span></div>\n  \n  <table  class=\"table table-hover\">\n    <thead>\n      <tr>\n        <td *ngFor=\"let header of _object.keys(jsonData[0]); let i = index\">{{header}}</td>\n      </tr>\n    </thead>\n    <tbody>\n      <tr *ngFor=\"let row of jsonData; let i = index\">\n        <td  *ngFor=\"let objKey of _object.keys(row); let j = index\" \n         \n         [ngClass]=\"getColor(objKey, row[objKey]) === var1 ? 'css-class-1' : (getColor(objKey, row[objKey]) === false ?'css-class-2' : 'class3')\">\n        \n        <span>{{ row[objKey] }}</span></td>\n      </tr>\n    </tbody>\n  </table>\n  </div>\n  </div>\n   ",
                    styles: ["\n.card-padding{\n  padding:30px;\n}  \ntable {\n  width: 100%;\n  border-collapse: collapse;\n  max-width: 100%;\n  background-color: transparent;\n  margin-bottom: 0px;   \n}\n.table td {\n  padding: .85rem;\n  vertical-align: top;\n  border-top: 1px solid #dee2e6;\n}\n  \n.card .table tbody td {\n    font-size: 14px;\n    position: relative;\n}\n\n.card .table thead td {\n    background-color: #edf1f5;\n    font-weight: 500;\n    font-size: 12px;\n    text-transform: uppercase;\n    position: relative;\n}\n.card {\n    box-shadow: 0 1px 2px rgba(0,0,0, 0.2);\n    border: 1px solid #dee2e6;\n    }\n\n.card .card-header {\n    padding: .35rem 0.6rem;\n    margin-bottom: 0;\n    background-color: rgb(255, 255, 255);\n    border-bottom: 1px solid rgba(0,0,0,.125);\n    text-transform: uppercase;\n    font-size: 15px;\n}\n.card .card-header span {\n    line-height:2;\n    font-weight: 600;\n}\n.css-class-1 span{\n  background: linear-gradient(45deg, #d5ffbf , #28a745 , #28a745 , #d5ffbf );\n  background-size: 500% 500%;\n  animation: Gradient 5s ease infinite;\n  position: absolute;\n  height: 4px;\n  top: 2px;\n  right: 2px;\n  left: 2px;\n  border-radius: 4px;\n  }\n  .css-class-1{\n  background-color: #d5ffbf;\n  }\n.css-class-2 span{\n  background: linear-gradient(45deg, #ef042f , #f24363 , #f2637d , #f7889c );\n  background-size: 500% 500%;\n  animation: Gradient 5s ease infinite;\n  position: absolute;\n  height: 4px;\n  top: 2px;\n  right: 2px;\n  left: 2px;\n  border-radius: 4px;\n  }\n  .css-class-2{\n    background-color: #e84e6a ;\n    }\n\n"]
                },] },
    ];
    /** @nocollapse */
    SimpleLoggerComponent.ctorParameters = function () { return []; };
    SimpleLoggerComponent.propDecorators = {
        "jsonData": [{ type: Input },],
        "options": [{ type: Input },],
    };
    return SimpleLoggerComponent;
}());
export { SimpleLoggerComponent };
//# sourceMappingURL=simple-logger.component.js.map